FLAC: FLAC::Metadata::Iterator Class Reference

Main Page | Modules | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Class Members | File Members

# FLAC::Metadata::Iterator Class Reference
[FLAC++/metadata.h: metadata level 2 interface]

`#include <metadata.h>`

List of all members.

## Detailed Description

This class is a wrapper around the FLAC__metadata_iterator structures and methods; see the usage guide and FLAC__Metadata_Iterator.

## Public Member Functions
bool | is_valid () const
void | init (Chain &chain)
bool | next ()
bool | prev ()
::FLAC__MetadataType | get_block_type () const
Prototype * | get_block ()
bool | set_block (Prototype *block)
bool | delete_block (bool replace_with_padding)
bool | insert_block_before (Prototype *block)
bool | insert_block_after (Prototype *block)
## Protected Member Functions
virtual void | clear ()
## Protected Attributes
::FLAC__Metadata_Iterator * | iterator_

## Member Function Documentation

bool FLAC::Metadata::Iterator::is_valid | ( |  | ) | const

| Returns `true` iff object was properly constructed.

void FLAC::Metadata::Iterator::init | ( | Chain & | chain | ) |

| See FLAC__metadata_iterator_init().

bool FLAC::Metadata::Iterator::next | ( |  | ) |

| See FLAC__metadata_iterator_next().

bool FLAC::Metadata::Iterator::prev | ( |  | ) |

| See FLAC__metadata_iterator_prev().

::FLAC__MetadataType FLAC::Metadata::Iterator::get_block_type | ( |  | ) | const

| See FLAC__metadata_iterator_get_block_type().

Prototype* FLAC::Metadata::Iterator::get_block | ( |  | ) |

| See FLAC__metadata_iterator_get_block().

bool FLAC::Metadata::Iterator::set_block | ( | Prototype * | block | ) |

| See FLAC__metadata_iterator_set_block().

bool FLAC::Metadata::Iterator::delete_block | ( | bool | replace_with_padding | ) |

| See FLAC__metadata_iterator_delete_block().

bool FLAC::Metadata::Iterator::insert_block_before | ( | Prototype * | block | ) |

| See FLAC__metadata_iterator_insert_block_before().

bool FLAC::Metadata::Iterator::insert_block_after | ( | Prototype * | block | ) |

| See FLAC__metadata_iterator_insert_block_after().

The documentation for this class was generated from the following file:

- include/FLAC++/metadata.h

Copyright (c) 2000,2001,2002,2003,2004,2005,2006,2007 Josh Coalson |